## kwarto 0.1

=== Makefile ===
#
# Makefile
#

APP = kwarto
VERSION = 0.1
DEFS = -DAPPNAME=\"$(APP)\" -DAPPVER=\"$(VERSION)\" -DLOCALEDIR=\"/usr/share/locale\"
CFLAGS = $(DEFS) -Wall

OBJS = main.o tileset.o game.o stack.o selected.o menu.o statusbar.o gconf.o

all: $(APP)

clean:
	rm -f $(APP) *.o

%.o:%.c
	$(CC) -o $@ -c $< $(CFLAGS) `pkg-config gtk+-2.0 hildon-1 gconf-2.0 glib-2.0 gthread-2.0 --cflags`

$(APP): $(OBJS)
	$(CC) -o $@ $(OBJS) `pkg-config gtk+-2.0 hildon-1 gconf-2.0 glib-2.0 gthread-2.0 --libs`

$(APP).26.png: icon.pov
	povray -W26 -H26 +A0.1 +UA $< -O$@

$(APP).40.png: icon.pov
	povray -W40 -H40 +A0.1 +UA $< -O$@

$(APP).64.png: icon.pov
	povray -W64 -H64 +A0.1 +UA $< -O$@

install: $(APP) $(APP).26.png $(APP).40.png $(APP).64.png
	install $(APP) $(DESTDIR)/usr/bin
	install $(APP).desktop $(DESTDIR)/usr/share/applications/hildon
	install $(APP).26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/$(APP).png
	install $(APP).40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/$(APP).png
	install $(APP).64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/$(APP).png
	install tilesets/stones/tile??s.png tilesets/stones/empty.png tilesets/stones/board.png $(DESTDIR)/usr/share/$(APP)/tilesets/stones

=== tilesets/stones/Makefile ===
#
# Makefile to generate Stones tileset for kwarto
#

POVRAY = povray
SIZE = 60
SHADOW = 3
SIZESHA=`echo nase | awk '{print $(SIZE)+$(SHADOW)}'`
OPTIONS =  -W$(SIZE) -H$(SIZE) +A0.1
EOPTIONS =  -W$(SIZESHA) -H$(SIZESHA) +A0.1
TR = +UA
MULTI = +SF0 +EF15 +KFF10
ALL = 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15

all: tile01s.png empty.png

view1: tile.pov
	$(POVRAY) -W400 -H400 -KFI8 +A0.1 $< -O- | xv -

view: tile01s.png Makefile
	montage -geometry +0+0 tile??s.png all.png 
	gwenview all.png
	rm all.png

empty.png: empty.pov Makefile
	$(POVRAY) $(EOPTIONS) $(TR) $< -O$@

%01s.png: %01.png
	for i in $(ALL) ; do convert tile$$i.png  -channel A  -blur 0x1 +channel -fill black -colorize 100% shadow.png ; convert tile$$i.png -background none -gravity SouthWest -splice $(SHADOW)x$(SHADOW) shadow.png -compose Dst_Over -composite tile$${i}s.png ; done

%01.png: %.pov Makefile
	$(POVRAY) $(OPTIONS) $(MULTI) $(TR) $< -Otile.png

%.png: %.pov Makefile
	$(POVRAY) $(OPTIONS) $(TR) $< -O$@

board.png: board.pov
	povray +UA +A0.1 -W380 -H380 board.pov -Oboard.png

=== tilesets/woods/Makefile ===
#
# Makefile to generate Woods tileset for kwarto
#

POVRAY = povray
SIZE = 80
OPTIONS =  -W$(SIZE) -H$(SIZE) +A0.1
TR = +UA
MULTI = +SF0 +EF15 +KFF10

all: tile01.png empty.png

view1: tile.pov
	$(POVRAY) $(OPTIONS) $< -O- | xv -

view: tile01.png
	montage -geometry +0+0 tile??.png all.png 
	gwenview all.png
	rm all.png

%01.png: %.pov Makefile
	$(POVRAY) $(OPTIONS) $(MULTI) $(TR) $< -Otile.png

%.png: %.pov Makefile
	$(POVRAY) $(OPTIONS) $(TR) $< -O$@

=== tilesets/woods_n_stones/Makefile ===
#
# Makefile to generate Woods'n Stones tileset for kwarto
#

POVRAY = povray
SIZE = 80
OPTIONS =  -W$(SIZE) -H$(SIZE) +A0.1
TR = +UA
MULTI = +SF0 +EF15 +KFF10

all: tile01.png empty.png

view1: tile.pov
	$(POVRAY) $(OPTIONS) $< -O- | xv -

view: tile01.png
	montage -geometry +0+0 tile??.png all.png 
	gwenview all.png
	rm all.png

%01.png: %.pov Makefile
	$(POVRAY) $(OPTIONS) $(MULTI) $(TR) $< -Otile.png

%.png: %.pov Makefile
	$(POVRAY) $(OPTIONS) $(TR) $< -O$@

=== debian/changelog ===
kwarto (0.1) unstable; urgency=low

  * Initial release.

 -- Till Harbaum <Till@Harbaum.org>  Wed, 23 Jan 2008 20:49:43 +0100

=== debian/control ===
Source: kwarto
Section: user/games
Priority: optional
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-dev (>= 2.4), libglib2.0-dev (>= 2.2), libosso-dev, libhildon1-dev
Standards-Version: 3.7.2

Package: kwarto
Architecture: any
Depends: ${shlibs:Depends}, hildon-desktop
Description: Kwarto board game for Maemo
 Kwarto is the maemo port of the Quarto two player board game. The 
 game consists of a board with 4x4 spaces and a set of 16 tiles. The 
 tiles have four attributes with two states each (e.g. small/big, 
 light/dark, hollow/solid and, round/square). These tiles are placed 
 onto the board one after the other. One player starts by selecting 
 one arbitrary tile which the other player in turn has to place at 
 whatever free space on the board it wants to. That player then 
 selects the next tile which the first player then has to place. 
 This goes on until the game ends. The game ends if one player 
 manages to build a horizontal, vertical or diagonal line of four 
 tiles with at least one attribute in the same state (e.g. all four 
 tiles in the row are "small"). This player then wins. If the two
 players manage to fill the entire board without winning situation 
 it's a draw game.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGPC/xhBQAAAARzQklU
 CAgICHwIZIgAAASTSURBVHicLMG5j13VAcDh31nuft82b5Y34wcjbIwsQCgoRUKZMnUETaT8Tf4b
 UoYqTaQUFGlMFKpIEEfImLH9ZobZ3n6Xc8+556TJ9wn+7/0//f6LfpDOgwCMI1j3T0/47enSkQ5L
 LlS7GKDnW98tBMxn+Yj9doeKI/L7msrbRfvh0bz3fpHVbm6MWcys5ruv//YtgAD43R//8JdU6S+X
 pWLd1SQOTnXBVWSpvUX5wMGDYXOYEbY1RZaTRjHbumKrPX0kSbOMWCpmfczPYc8wyjB3KxKpv/73
 n//6lRh/dP7Fo2dPXpzlY9SuZZkLFoNALBTOObSQPNlIOhWwhyWJUPD2Hp9o9jEcl2OOHr/H488+
 4fzJB3z87BkdnhTF8sX3PH/+nDZXX+liNl089IYyWE6GBVu7RvaaSAliFXEUEt4/GPDL7Q3utsbI
 wM1E4azFCbDNhuJdwj90x+TyNd989y2/mp1T9pLL1xdsUlCrPbq6vp/r+ITlEbwX5SgdUE0DPqC6
 nnUqebW7Z3p8wChOWFwuiKzDFZrxpuMkywm/rHAF3FQ1x2nJi/WGA5ny5vYaeb9jotKFDmk077uO
 QVDc9S1b0eGEp1wZdqlAOVjJjuvrFSdkHOQlF2FFv2mwWlN6SxVL5KqivXngJy2Yzo4xJnAtarpp
 TPXyCn2cDzFCsaz3qELyaXzAVdZRP1xRrWomOiXZN3TG8kbtWa+WGGUZRSlJ37OPPd1qR992VOcT
 /DjH3N4wdQpTCFQWk3/+4Vxf1hvOxYRBp5DVlrvOsisk/WyEerXn6sdX+EQjhED4wNo4ELDtOnId
 02pI9xak5OhoyHroqYLFq8DxCjajGN/5hcY67koBsmd/knCA5kkleUtNfDDGOMupzNibFt31uAPF
 VvVktqfIC2gaXLQjuJ6NsCRI4iRl0kli03K07HhXhLlOonjRS8E2FVhjeBCO9SjH9RGqCRyezSiI
 mAXN1nd8XB7zU9jR5zHjyvOyfaAvc+qXb8haT+UdQwd+V7MbpTySOb+pe3RLP3/cSIQRiDyhCT2m
 Mbgiwht4mo7ohimvmzXnG82/3B3EmuGq40I6jO/pmgYnIa4t6bYnTnu6YUorPLdiywfDAjnpNZFQ
 hJs1AsF5NuY8GzP1EUnt+G/9wF27Z7J1XJYBGUfsvOWqCGylJxISFWmKJKU+GeAPS6YiwWpBUIJn
 gyOMZqH6MvnkbHb65XKssabDe8+whUxHSGBpG6wSxHlGoWK8gKmImbaCREjOQ07lOh7u7gmDFFcm
 rIQlR7HDUUWC1tm/a13mC1/EDPOI0gTe6Y4mcbS2ZWoCn/dDzspH/OduQa0CK+VYSwGJ4vFVR0XA
 W0uIFMp58J5MSQ7vDVkEbVMhaoN2rVncNjuSfEQRBFmU8OvylAjJTu/52WxQoeHs8JhWeESzYesM
 cxNzOejoCKQ/7EhsQLuA7gXbuMemPU9Hx2RxyqLco6MkmQ+cRO4tjAbMi4KHyJNpxdvdnlp63jYb
 UgfDOGUS5zyNx+S9YCYzZJHyZtJg9hVFE9g4iwqaZFDg8pgLW7HqqsX/AAAA///vLlWkAAACx0lE
 QVQ11klyG1UAgOH/Tf26W2q1pHiKrYQsKCpUwY4FF4FLcgNWKaCKHYsUsDcRsR2lLUtWj29ixXeK
 T9um3Xy+GrE258E/o44tqte8TRXFYw/B8/LikphLDjgeXUfdTuyrnFQqusOeFCODhroqyQKUGBYY
 dt2RuTAorzf6eZ2zTtC7iZgEUhuCFZxkgnYABe+Pd+jMIBBMIuJ8yf7zM/lshlSKzgqCDwwyYk2G
 ak6QeRYvVxyj4xRGtDQaERNnbaIvJUVZEIXio28xrxcshKFWMBIxU+DNpNnLia6faFSgtgXxbMH1
 7Cu8gHYcqExJcbZkYUoyP1ItM7RSCmU08zFRLyu6KLh0GbtjR5hbpkJwsCA7T34YuF/N0Bj2NsM5
 hyoVF5vXfPvmS5qm4d1vv/JvPpF1j8zSwFxn3LkWHZ3fru2MhKfbH8iFwpjA9YsVfy88xidiOzA5
 z/Wi4p/hGeEjM6EpVIFoPafQ8NfdntQOXIuCqYs4Ce00kEZHqQX6Rco2nx4b5EWNnCLGap4YKLuA
 FpohenRK1EFjY+SLYJkej+xVT2MVmTHESXJCcFkuIAOpJTfC4hR8tIGrDyf0kMutqnLG4FmiuDrB
 SUdynbivAhmSazNnFiWBRHt4YnlzAfsDspt4Mo6dCSxtwUN/ZEqBKAyTG7BTIjuboc7rrS6i3HQx
 4BIMpeXPacCUOZXVrGxOP47cD0cCsOoTD3nEP+2RRsEyZ1lX1N2IT5HT2FMniU2Sug34EPnm5obb
 29uNAFh/9/XvrjTfz8qS2A7EIqPKcpIPTEaQYkIODmcEU4pcHgK7ErzzvFqfc9t8QkiB1JrzLlEF
 RVaV9FaiAz/98fO7H8X/gczfvvpBILa29xtH3MaZ3cjBb/P1glGxCc6ho4CUCKd+G8eJuCg2V/MV
 u2a3zaxlVGyKAGQG3/VbcbXaHn95/wHgP0vl2mocdXVfAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/kwarto.sgml > kwarto.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kwarto.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kwarto install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
